package com.gic.auth.dto;

import com.gic.enterprise.base.UserResourceInfo;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.NotNull;

/**
 * 用户资源组关联表
 * @ClassName: UserResourceDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/2 10:54 AM 
 */
public class UserResourceDTO implements Serializable, UserResourceInfo {
    private static final long serialVersionUID = 5635155351382206941L;

    public interface SaveUserResourceValid {
    }


    /**
     * id
     */
    private Integer userResourceId;

    /**
     * 角色集id
     */
    @NotNull(message = "资源不能为空", groups = {SaveUserResourceValid.class})
    private Integer resourceId;

    /**
     * 管理员ID
     */
    @NotNull(message = "用户不能为空", groups = {SaveUserResourceValid.class})
    private Integer userId;

    /**
     * 企业ID
     */
    @NotNull(message = "商户不能为空", groups = {SaveUserResourceValid.class})
    private Integer enterpriseId;

    /**
     * 状态1:有效 0:无效
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getUserResourceId() {
        return userResourceId;
    }

    public void setUserResourceId(Integer userResourceId) {
        this.userResourceId = userResourceId;
    }

    public Integer getResourceId() {
        return resourceId;
    }

    public void setResourceId(Integer resourceId) {
        this.resourceId = resourceId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
