package com.gic.auth.dao.mapper;

import com.gic.auth.dto.AuditedGroupDTO;
import com.gic.auth.entity.TabAuditedGroup;
import com.gic.auth.qo.AuditedGroupQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

public interface TabAuditedGroupMapper {
    /**
     * 根据主键删除
     *
     * @param auditedGroupId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer auditedGroupId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditedGroup record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditedGroup record);

    /**
     * 根据主键查询
     *
     * @param auditedGroupId 主键
     * @return 实体对象
     */
    TabAuditedGroup selectByPrimaryKey(Integer auditedGroupId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditedGroup record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditedGroup record);

    Integer getFirstAuditedGroup(AuditedGroupDTO auditedGroupDTO);

    Integer delAuditedGroup(@Param("auditedGroupId") Integer auditedGroupId);

    Page<TabAuditedGroup> listAuditedGroup(AuditedGroupQO auditedGroupQO);
}