package com.gic.auth.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.auth.dto.MenuItemDTO;
import com.gic.auth.entity.TabSysMenuItem;

public interface TabSysMenuItemMapper {
    /**
     * 根据主键删除
     *
     * @param menuItemId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer menuItemId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysMenuItem record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysMenuItem record);

    /**
     * 根据主键查询
     *
     * @param menuItemId 主键
     * @return 实体对象
     */
    TabSysMenuItem selectByPrimaryKey(Integer menuItemId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysMenuItem record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysMenuItem record);

    /**
     * 批量新增权限项、操作项关联
     * @Title: insertForeach 
     * @Description:
      * @author guojuxing
     * @param list 
     * @return  void 
      */
    void insertForeach(@Param("list") List<MenuItemDTO> list);

    /**
     * 删除操作项根据权限项ID
     * @Title: deleteByMenuId 
     * @Description:
      * @author guojuxing
     * @param menuId 
     * @return  void 
      */
    void deleteByMenuId(@Param("menuId") Integer menuId);
}