package com.gic.auth.service;


import com.gic.auth.dto.MenuDTO;
import com.gic.auth.entity.TabSysMenu;
import com.gic.auth.qo.MenuListQO;
import com.gic.auth.qo.MenuOperationItemListQO;
import com.github.pagehelper.Page;

import java.util.List;

public interface MenuService {
    List<TabSysMenu> listMenu(MenuListQO params);

    TabSysMenu getMenuById(Integer menuId);

    /**
     * 新增页面
     * @Title: savePage 
     * @Description:
      * @author guojuxing
     * @param menuDTO 
     * @return  menuId 
      */
    int savePage(MenuDTO menuDTO);

    /**
     * 获取当前最大排序值
     * @Title: getMaxSortByParentIdAndLevel 
     * @Description:
      * @author guojuxing
     * @param parentId 父级ID
     * @param project
     * @return  int 
      */
    int getMaxSortByParentId(Integer parentId, String project);

    /**
     * @Title: updatePage 
     * @Description: 
      * @author guojuxing 
 * @param menuDTO 
     * @return  void 
      */
    void updatePage(MenuDTO menuDTO);

    /**
     * 查询页面下面的操作项列表数据
     * @Title: listMenuRoleByParentId 
     * @Description:
      * @author guojuxing
     * @param parentId 
     * @return  java.util.List<com.gic.auth.entity.TabSysMenu> 
      */
    List<TabSysMenu> listMenuItemByParentId(Integer parentId);
    /**
     * 拖拽排序
     * @Title: setSort 
     * @Description:
      * @author guojuxing
     * @param record
     * @param sortValue 
     * @return  void 
      */
    void setSort(TabSysMenu record, Integer sortValue);

    /**
     * 分页查询操作项
     * @Title: pageMenuOperationItem 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.github.pagehelper.Page<com.gic.auth.entity.TabSysMenu> 
      */
    Page<TabSysMenu> pageMenuOperationItem(MenuOperationItemListQO params);

    /**
     * 查询
     * @Title: selectByIds 
     * @Description:
      * @author guojuxing
     * @param menuIdList 
     * @return  java.util.List<com.gic.auth.entity.TabSysMenu> 
      */
    List<TabSysMenu> selectByIds(List<Integer> menuIdList);
}
