package com.gic.auth.service;

import com.gic.auth.dto.UserDTO;
import com.gic.auth.dto.UserListDTO;
import com.gic.auth.entity.TabSysUser;
import com.gic.auth.qo.UserListQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * @author guojx
 * @date 2019/7/16 6:50 PM
 */
public interface UserService {

    /**
     * 新增
     * @param userDTO
     * @return
     */
    int saveUser(UserDTO userDTO);

    void editUser(UserDTO userDTO);

    /**
     * 根据主键获取数据
     * @param userId
     * @return
     */
    TabSysUser getUserById(Integer userId);

    /**
     * 手机号码是否重复
     * @param userId
     * @param phone
     * @param enterpriseId
     * @return
     */
    boolean isPhoneRepeat(Integer userId, String phone, Integer enterpriseId);

    TabSysUser getUserByEnterpriseId(Integer enterpriseId);

    List<TabSysUser> listAllUserByPhoneNumber(String phoneNumber);

    TabSysUser login(String phoneNumber, Integer enterpriseId, String password);

    /**
     * 查询管理员列表数据
     * @Title: pageUser 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.github.pagehelper.Page 
      */
    Page<UserListDTO> pageUser(UserListQO params);

    /**
     * 逻辑删除
     * @Title: delete 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @return  void 
      */
    void delete(Integer userId);

    Integer getAllCheckValue(Integer enterpriseId, List<Integer> userIdList);
}
