package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabAuditedGroupUserRelMapper;
import com.gic.auth.dto.AuditedGroupDTO;
import com.gic.auth.entity.TabAuditedGroupUserRel;
import com.gic.auth.service.AuditedGroupUserRelService;
import com.gic.commons.util.GlobalInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-18 11:31
 */
@Service
public class AuditedGroupUserRelServiceImpl implements AuditedGroupUserRelService {

    @Autowired
    private TabAuditedGroupUserRelMapper tabAuditedGroupUserRelMapper;

    @Override
    public Integer addOrUpdateRel(AuditedGroupDTO auditedGroupDTO) {
        // 把所有auditedGroup的关联status设置为0
        tabAuditedGroupUserRelMapper.delByAuditedGroupId(auditedGroupDTO.getAuditedGroupId());
        // 插入不存在的关联
        for (Integer userId : auditedGroupDTO.getUserIdList()) {
            TabAuditedGroupUserRel auditedGroupUserRel = new TabAuditedGroupUserRel();
            auditedGroupUserRel.setEnterpriseId(auditedGroupDTO.getEnterpriseId());
            auditedGroupUserRel.setAuditedGroupId(auditedGroupDTO.getAuditedGroupId());
            auditedGroupUserRel.setUserId(userId);
            auditedGroupUserRel.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
            auditedGroupUserRel.setCreateTime(new Date());
            tabAuditedGroupUserRelMapper.insertSelectiveByNotExist(auditedGroupUserRel);
        }
        // 把所有userId关联status都设置为1
        return tabAuditedGroupUserRelMapper.updateStatusByUserIds(auditedGroupDTO.getEnterpriseId(), auditedGroupDTO.getAuditedGroupId(), auditedGroupDTO.getUserIdList());
    }

    @Override
    public int delRel(Integer auditedGroupId) {
        return tabAuditedGroupUserRelMapper.delByAuditedGroupId(auditedGroupId);
    }

    @Override
    public Map<Integer, Integer> getUserCountByAuditedGroup(List<Integer> auditedGroupIds) {
        List<Map<Integer, Object>> mapList = tabAuditedGroupUserRelMapper.getUserCountByAuditedGroup(auditedGroupIds);
        Map<Integer, Integer> resultMap = new HashMap<>(auditedGroupIds.size());
        for (Map<Integer, Object> map : mapList) {
            resultMap.put(Integer.valueOf(map.get("auditedGroupId").toString()), Integer.valueOf(map.get("userCount").toString()));
        }
        return resultMap;
    }

    @Override
    public List<TabAuditedGroupUserRel> listAuditedGroup(Integer auditedGroupId) {
        TabAuditedGroupUserRel groupUserRel = new TabAuditedGroupUserRel();
        groupUserRel.setAuditedGroupId(auditedGroupId);
        return this.tabAuditedGroupUserRelMapper.listAuditedGroup(groupUserRel);
    }
}
