package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabSysMenuItemMapper;
import com.gic.auth.dto.MenuItemDTO;
import com.gic.auth.service.MenuItemService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service("menuItemService")
public class MenuItemServiceImpl implements MenuItemService{
    private TabSysMenuItemMapper tabSysMenuItemMapper;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void saveFetch(List<MenuItemDTO> list) {
        tabSysMenuItemMapper.insertForeach(list);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deleteByMenuId(Integer menuId) {
        tabSysMenuItemMapper.deleteByMenuId(menuId);
    }
}
